Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 911781 - (bittwist) Review Request: bittwist - Bit-Twist is a simple yet powerful libpcap-based Ethernet packet generator.
Review Request: bittwist - Bit-Twist is a simple yet powerful libpcap-based E...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2013-02-15 18:37 EST by Giuseppe Marco Randazzo
Modified: 2018-01-29 20:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review?


Attachments (Terms of Use)
bittwist new spec file (1.55 KB, text/x-rpm-spec)
2014-06-23 15:02 EDT, Giuseppe Marco Randazzo
no flags Details
bittwist-Makefile patch (1.19 KB, patch)
2014-06-23 15:04 EDT, Giuseppe Marco Randazzo
no flags Details | Diff
bittwist-2.0-2 SRC RPM 2014-07-15 (43.79 KB, application/x-redhat-package-manager)
2014-07-15 08:42 EDT, Giuseppe Marco Randazzo
no flags Details
bittwist spec file 2014-07-15 (1.55 KB, text/x-rpm-spec)
2014-07-15 08:43 EDT, Giuseppe Marco Randazzo
no flags Details
bittwist Make file patch 2014-07-15 (1.19 KB, patch)
2014-07-15 08:44 EDT, Giuseppe Marco Randazzo
no flags Details | Diff

  None (edit)
Description Giuseppe Marco Randazzo 2013-02-15 18:37:43 EST
Spec URL: https://raw.github.com/zeld/var/master/bittwist.spec
SRPM URL: https://raw.github.com/zeld/var/master/bittwist-2.0-1.fc18.src.rpm

Description: Bit-Twist is a simple yet powerful libpcap-based Ethernet packet generator. It is designed to complement tcpdump, which by itself has done a great job at capturing network traffic.
With Bit-Twist, you can now regenerate your captured traffic onto a live network! Packets are generated from tcpdump trace file (.pcap file). Bit-Twist also comes with a comprehensive trace file editor to allow you to change the contents of a trace file.

Generally, packet generator is useful in simulating networking traffic or scenario, testing firewall, IDS, and IPS, and troubleshooting various network problems.

Fedora Account System Username: I do not have any account... i'm not able to make account because in the register form there is an error...
Comment 1 Eduardo Echeverria 2013-02-16 01:37:28 EST
Hi Giuseppe 

About review process

Perhaps you have tried to register at any time when the platform was not available, however, and the expectation that you are searching a different url, you retry with this.

https://admin.fedoraproject.org/accounts/

These links may be useful:
- https://fedoraproject.org/wiki/Package_Review_Process#Contributor
- https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Use_rpmlint

Is good practice paste the rpmlint output in the review, and at least make a build scratch on koji and paste the link in the review

https://fedoraproject.org/wiki/Using_the_Koji_build_system#Scratch_Builds

Please tag the field "Blocks" with the word FE-NEEDSPONSOR. So, will let you know the sponsors you need sponsorship  

About the package 

I have not thoroughly checked the package, but at first glance,  I give some recommendations

You have a typo in this line
URL:		http://http://bittwist.sourceforge.net/

in %install
make install prefix=${RPM_BUILD_ROOT}/usr
should be 
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

(if $DESTDIR supports)

Check it
$ rpm --eval %{_prefix}
/usr

the description should not be more than 80 characters per line, rpmlit complains with description-line-too-long

- Please do honors applicable compiler flags, Use %{optflags}

Check it
$ rpm --eval %{optflags}
-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic


Check the makefile and do the patch, (do not forget to send the patch to upstream)

bittwist:
        $(CC) $(CFLAGS) $(SRC)/bittwist.c -o $(SRC)/bittwist -I/usr/local/include -L/usr/local/lib -lpcap

bittwiste:
        $(CC) $(CFLAGS) $(SRC)/bittwiste.c -o $(SRC)/bittwiste -I/usr/local/include -L/usr/local/lib -lpcap

- the tag license is wrong 
License:	GPL2
should be
License:        GPLv2

the changelog is wrong
%changelog
* Fri Feb 15 2013 Giuseppe Marco Randazzo <gmrandazzo@gmail.com>
- first build for bittwist
should be
%changelog
* Fri Feb 15 2013 Giuseppe Marco Randazzo <gmrandazzo@gmail.com> - 2.0-1
- first build for bittwist

https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

- Don't needed %defattr(-,root,root)

Kind Regards
Comment 2 Fabian Affolter 2014-01-21 07:53:24 EST
Giuseppe, are you still interested to go on with this package?
Comment 3 Fabian Affolter 2014-06-14 03:01:43 EDT
Giuseppe?
Comment 4 Giuseppe Marco Randazzo 2014-06-23 15:01:35 EDT
Hello, yes i am still interested.... sorry for the delay!! :-) Here all the modifications!! I hope now the spec file and the patch are fine!

Thanks!!

Giuseppe Marco Randazzo
Comment 5 Giuseppe Marco Randazzo 2014-06-23 15:02:35 EDT
Created attachment 911551 [details]
bittwist new spec file

New Bitwist spec file
Comment 6 Giuseppe Marco Randazzo 2014-06-23 15:04:28 EDT
Created attachment 911552 [details]
bittwist-Makefile patch

The bittwist-Makefile patch.


~ Added the DESTDIR support
~ Fixed the make procedure to use the optflags
Comment 7 Fabian Affolter 2014-07-15 08:30:10 EDT
Can you please provide updated files (spec and SRPM)? Thanks.
Comment 8 Giuseppe Marco Randazzo 2014-07-15 08:42:36 EDT
Created attachment 918154 [details]
bittwist-2.0-2 SRC RPM  2014-07-15

SRC RPM bittwist 2.0-2
Comment 9 Giuseppe Marco Randazzo 2014-07-15 08:43:39 EDT
Created attachment 918155 [details]
bittwist spec file 2014-07-15

bittwist spec file 2014-07-15
Comment 10 Giuseppe Marco Randazzo 2014-07-15 08:44:35 EDT
Created attachment 918156 [details]
bittwist Make file patch 2014-07-15

bittwist 2.0-2 Make file patch 2014-07-15
Comment 11 Fabian Affolter 2015-03-04 04:48:40 EST
Can you please provide updated files (spec and SRPM)? Not as attachment to the report but rather as links. Thanks.
Comment 12 Eduardo Echeverria 2015-03-05 01:18:20 EST
I'm still interested in know what is the fas of Giuseppe and if still he hasn't been sponsored. Like says Fabian, Giuseppe, please append the links of the spec and SRPM, usually reviewers use a tool named fedora-review, that expects those links be available at the review.

Note You need to log in before you can comment on or make changes to this bug.